PB problems with 1.0.0 (and now 1.1.1)

Peter Fales Peter.Fales at alcatel-lucent.com
Thu Apr 12 17:42:58 EDT 2012


Ryan,

Thanks!  That helped.   I must have copied something from my 1.0.0 build
to the 1.1.1 directory.  I'm not sure what it was but starting with 
a freshly un-tarred copy of 1.1.1 fixed the problem.   

Thanks for your time to look at this.

On Thu, Apr 12, 2012 at 05:05:54PM -0400, Ryan Zezeski wrote:
> Replies inline...
> 
> On Thu, Apr 12, 2012 at 11:32 AM, Peter Fales <
> Peter.Fales at alcatel-lucent.com> wrote:
> 
> > Thanks for your  help.
> >
> > Obviously, I'm sort of stumbling around here, and I didn't realize
> > that there was a dependency on protobuffs within erlang.
> >
> 
> You don't need to have protobuffs installed on the Erlang VM.  I'm saying
> that you _shouldn't_ have a protobuffs version globally installed as my
> guess is that could be picked up by reltool which is responsible for
> building the Riak release.  You will want to uninstall erlang-protobuffs.
> 
>        code:which(protobuffs).
> > I get
> >        non_existing
> >
> >
> This is good, that's what you want in this case.
> 
> 
> > After I ran "yum install erlang-protobuffs", I  now get:
> >
> >        "/usr/lib/erlang/lib/protobuffs-0/ebin/protobuffs.beam"
> >
> >
> > That sounded promising, but even after "make distclean" and "make rel"
> > the file "./rel/riak/lib/protobuffs-0/ebin/protobuffs.beam" is still
> > the smaller size and does not include the symbol next_field_num
> >
> 
> I'm not sure how but when you run `make rel` it is picking up a different
> protobuffs version from somewhere in your environment.  Try doing something
> like `sudo find / -name 'protobuffs.beam'` and see what turns up.
> 
> -Z

-- 
Peter Fales
Alcatel-Lucent
Member of Technical Staff
1960 Lucent Lane
Room: 9H-505
Naperville, IL 60566-7033
Email: Peter.Fales at alcatel-lucent.com
Phone: 630 979 8031




More information about the riak-users mailing list